# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "derec-cryptography"
version = "0.0.1-alpha.6"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Cryptographic primitives used by the DeRec protocol implementation."
homepage = "https://derecalliance.org"
documentation = "https://derec-alliance.gitbook.io/docs/sdk/rust"
readme = "README.md"
keywords = [
    "derec",
    "decentralized",
    "cryptography",
    "secret-sharing",
    "recovery",
]
license = "Apache-2.0"
repository = "https://github.com/derecalliance/lib-derec"

[lib]
name = "derec_cryptography"
path = "src/lib.rs"

[dependencies.aead]
version = "0.5.2"

[dependencies.aes]
version = "0.8.4"

[dependencies.aes-gcm]
version = "0.10.3"

[dependencies.ark-bw6-761]
version = "0.5.0"

[dependencies.ark-ec]
version = "0.5.0"

[dependencies.ark-ff]
version = "0.5.0"

[dependencies.ark-poly]
version = "0.5.0"

[dependencies.ark-secp256k1]
version = "0.5.0"

[dependencies.ark-serialize]
version = "0.5.0"
default-features = true

[dependencies.ark-std]
version = "0.5.0"

[dependencies.k256]
version = "0.13.4"
features = ["ecdsa"]

[dependencies.ml-kem]
version = "0.2.3"

[dependencies.rand]
version = "0.8.5"

[dependencies.rand_chacha]
version = "0.3.1"

[dependencies.rand_core]
version = "0.6.4"

[dependencies.sha2]
version = "0.10.9"

[dependencies.thiserror]
version = "2.0.18"
